DOM::HTMLFormElement Class Reference

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLFormElement:

## Public Member Functions

| HTMLFormElement (const HTMLFormElement &other)
| HTMLFormElement (const Node &other)
HTMLFormElement & | operator= (const HTMLFormElement &other)
HTMLFormElement & | operator= (const Node &other)
HTMLCollection | elements () const
long | length () const
DOMString | name () const
void | setName (const DOMString &)
DOMString | acceptCharset () const
void | setAcceptCharset (const DOMString &)
DOMString | action () const
void | setAction (const DOMString &)
DOMString | enctype () const
void | setEnctype (const DOMString &)
DOMString | method () const
void | setMethod (const DOMString &)
DOMString | target () const
void | setTarget (const DOMString &)
void | submit ()
void | reset ()
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLFormElement (HTMLFormElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Friends

class | HTMLButtonElement
class | HTMLFieldSetElement
class | HTMLInputElement
class | HTMLLabelElement
class | HTMLLegendElement
class | HTMLSelectElement
class | HTMLTextAreaElement
class | HTMLOptionElement
class | HTMLIsIndexElement
class | HTMLObjectElement

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

The `FORM` element encompasses behavior similar to a collection and an element.

It provides direct access to the contained input elements as well as the attributes of the form element. See the FORM element definition in HTML 4.0.

Definition at line 206 of file html_form.h.

## Member Function Documentation

DOMString HTMLFormElement::acceptCharset | ( |  | ) | const

List of character sets supported by the server.

See the accept-charset attribute definition in HTML 4.0.

Definition at line 233 of file html_form.cpp.

DOMString HTMLFormElement::action | ( |  | ) | const

Server-side form handler.

See the action attribute definition in HTML 4.0.

Definition at line 244 of file html_form.cpp.

HTMLCollection HTMLFormElement::elements | ( |  | ) | const

Returns a collection of all control elements in the form.

Definition at line 210 of file html_form.cpp.

DOMString HTMLFormElement::enctype | ( |  | ) | const

The content type of the submitted form, generally "application/x-www-form-urlencoded".

See the enctype attribute definition in HTML 4.0.

Definition at line 255 of file html_form.cpp.

long HTMLFormElement::length | ( |  | ) | const

The number of form controls in the form.

Definition at line 216 of file html_form.cpp.

DOMString HTMLFormElement::method | ( |  | ) | const

HTTP method used to submit form.

See the method attribute definition in HTML 4.0.

Definition at line 266 of file html_form.cpp.

DOMString HTMLFormElement::name | ( |  | ) | const

Names the form.

Definition at line 222 of file html_form.cpp.

void HTMLFormElement::reset | ( |  | ) |

Restores a form element's default values.

It performs the same action as a reset button.

Definition at line 293 of file html_form.cpp.

void HTMLFormElement::setAcceptCharset | ( | const DOMString & | value | ) |

see acceptCharset

Definition at line 239 of file html_form.cpp.

void HTMLFormElement::setAction | ( | const DOMString & | value | ) |

see action

Definition at line 250 of file html_form.cpp.

void HTMLFormElement::setEnctype | ( | const DOMString & | value | ) |

see enctype

Definition at line 261 of file html_form.cpp.

void HTMLFormElement::setMethod | ( | const DOMString & | value | ) |

see method

Definition at line 272 of file html_form.cpp.

void HTMLFormElement::setName | ( | const DOMString & | value | ) |

see name

Definition at line 228 of file html_form.cpp.

void HTMLFormElement::setTarget | ( | const DOMString & | value | ) |

see target

Definition at line 283 of file html_form.cpp.

void HTMLFormElement::submit | ( |  | ) |

Submits the form.

It performs the same action as a submit button.

Definition at line 288 of file html_form.cpp.

DOMString HTMLFormElement::target | ( |  | ) | const

Frame to render the resource in.

See the target attribute definition in HTML 4.0.

Definition at line 277 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys